package com.ruoyi.business.controller;

import com.baomidou.mybatisplus.extension.conditions.query.LambdaQueryChainWrapper;
import com.ruoyi.business.domain.*;
import com.ruoyi.business.domain.bo.UpdateApplyRebotBO;
import com.ruoyi.business.domain.vo.ListApplyVO;
import com.ruoyi.business.service.IApplyPlanLogService;
import com.ruoyi.business.service.IApplyPlanService;
import com.ruoyi.business.service.IApplyRebotService;
import com.ruoyi.business.service.IApplyService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.enums.PlanRunStatus;
import com.ruoyi.common.utils.poi.ExcelUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 应用信息管理Controller
 *
 * @author LiuChengRan
 * @date 2024-06-13
 */
@Api(tags = "应用和机器人关系管理接口")
@RestController
@RequestMapping("/business/ctApplyRebot")
public class ApplyRebotController extends BaseController {
    @Autowired
    private IApplyRebotService applyRebotService;


    /**
     * 查询应用信息管理列表
     */
    @ApiOperation(value = "配置应用机器人绑定关系", httpMethod = "GET", response = Apply.class)
    @PostMapping("/updateApplyRebot")
    public AjaxResult updateApplyRebot(@RequestBody UpdateApplyRebotBO updateApplyRebotBO) {

        return toAjax(applyRebotService.updateApplyRebot( updateApplyRebotBO));
    }

    /**
     * 查询应用信息管理列表
     */
    @ApiOperation(value = "查询所有应用和机器人绑定列表", httpMethod = "GET", response = Apply.class)
    @GetMapping("/listAll")
    public AjaxResult listAll(ApplyRebot applyRebot) {
        List<String> applyRebotList = applyRebotService.list(applyRebot).stream().map(ApplyRebot::getRebotName).collect(Collectors.toList());
        return AjaxResult.success(applyRebotList);
    }


}
