package com.ruoyi.business.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.*;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 应用执行结果记录管理对象 ct_apply_plan_log
 *
 * @author LiuChengRan
 * @date 2024-06-14
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApplyPlanLog", description = "应用执行结果记录管理")
@TableName(value = "ct_apply_plan_log")
public class ApplyPlanLog extends BaseEntity {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


    /**
     * 计划id
     */
    @Excel(name = "计划id")
    @ApiModelProperty(name = "planId", value = "计划id")
    private String planId;

    /**
     * 所属应用id
     */
    @Excel(name = "所属应用id")
    @ApiModelProperty(name = "appId", value = "所属应用id")
    private String appId;

    /**
     * 计划job_uuid
     */
    @Excel(name = "计划job_uuid")
    @ApiModelProperty(name = "jobUuid", value = "计划job_uuid")
    private String jobUuid;


    /**
     * 输出内容
     */
    @Excel(name = "输出内容")
    @ApiModelProperty(name = "outParam", value = "输出内容")
    private String outParam;

    /**
     * 执行结果（0成功 1失败）
     */
    @Excel(name = "执行结果（0成功 1失败）")
    @ApiModelProperty(name = "status", value = "执行结果（0成功 1失败）")
    private String status;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("deleted", getDeleted())
                .toString();
    }
}
