package com.ruoyi.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 应用信息管理对象 ct_apply
 *
 * @author LiuChengRan
 * @date 2024-06-13
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="ApplyRebot",description = "应用和机器人关系绑定")
@TableName(value = "ct_apply_rebot")
public class ApplyRebot extends BaseEntity
{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /** 应用id */
    @Excel(name = "应用id")
    @ApiModelProperty(name="applyId",value = "应用id")
    private String applyId;
    /** 机器人名称 */
    @Excel(name = "机器人名称")
    @ApiModelProperty(name="rebotName",value = "机器人名称")
    private String rebotName;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("deleted", getDeleted())
            .toString();
    }
}
