package com.ruoyi.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.Apply;
import com.ruoyi.business.domain.ApplyPlan;
import com.ruoyi.business.domain.ApplyPlanLog;
import com.ruoyi.business.domain.ApplyRebot;
import com.ruoyi.business.domain.bo.ApplyStartBO;
import com.ruoyi.business.domain.bo.JobQueryBO;
import com.ruoyi.business.domain.bo.UpdateApplyRebotBO;
import com.ruoyi.business.domain.vo.JobQueryVO;
import com.ruoyi.business.domain.vo.JobStartVO;
import com.ruoyi.business.domain.vo.ListApplyVO;

import java.util.List;

/**
 * 应用信息管理Service接口
 * 
 * @author LiuChengRan
 * @date 2024-06-13
 */
public interface IApplyRebotService extends IService<ApplyRebot>
{

    /**
     * 查询应用机器人关系列表
     * 
     * @param applyRebot 应用机器人关系
     * @return 应用信息管理集合
     */
    List<ApplyRebot> list(ApplyRebot applyRebot);

    /**
     * 绑定机器人关系
     * @param updateApplyRebotBO
     * @return
     */
    boolean updateApplyRebot(UpdateApplyRebotBO updateApplyRebotBO);
}
