package com.ruoyi.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.business.domain.*;
import com.ruoyi.business.domain.bo.ApplyStartBO;
import com.ruoyi.business.domain.bo.JobQueryBO;
import com.ruoyi.business.domain.bo.ListApplyBO;
import com.ruoyi.business.domain.bo.UpdateApplyRebotBO;
import com.ruoyi.business.domain.vo.JobQueryVO;
import com.ruoyi.business.domain.vo.JobStartVO;
import com.ruoyi.business.domain.vo.ListApplyVO;
import com.ruoyi.business.mapper.ApplyMapper;
import com.ruoyi.business.mapper.ApplyRebotMapper;
import com.ruoyi.business.service.IApplyPlanService;
import com.ruoyi.business.service.IApplyRebotService;
import com.ruoyi.business.service.IApplyService;
import com.ruoyi.business.service.IResourceLibraryService;
import com.ruoyi.business.util.YinDaoHttpUtils;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.common.enums.PlanRunStatus;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.bean.BeanUtils;
import com.ruoyi.system.service.ISysDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Optional;
import java.util.concurrent.atomic.AtomicReference;
import java.util.stream.Collectors;

/**
 * 应用信息管理Service业务层处理
 *
 * @author LiuChengRan
 * @date 2024-06-13
 */
@Service
public class ApplyRebotServiceImpl extends ServiceImpl<ApplyRebotMapper, ApplyRebot> implements IApplyRebotService {




    /**
     * 查询应用信息管理列表
     *
     * @param applyRebot 应用信息管理
     * @return 应用信息管理
     */
    @Override
    public List<ApplyRebot> list(ApplyRebot applyRebot) {
        LambdaQueryWrapper<ApplyRebot> eq = new LambdaQueryWrapper<ApplyRebot>().eq(ApplyRebot::getApplyId, applyRebot.getApplyId());
        return super.list(eq);
    }

    /**
     * 绑定机器人
     * @param updateApplyRebotBO
     * @return
     */
    @Override
    @Transactional
    public boolean updateApplyRebot(UpdateApplyRebotBO updateApplyRebotBO) {
        this.remove(new LambdaQueryWrapper<ApplyRebot>().eq(ApplyRebot::getApplyId,updateApplyRebotBO.getApplyId()));
        if(updateApplyRebotBO.getOptRebot().isEmpty()){
            return true;
        }
         List<ApplyRebot> applyRebots = new ArrayList<>();
        updateApplyRebotBO.getOptRebot().forEach(e->{
            ApplyRebot applyRebot = new ApplyRebot();
            applyRebot.setRebotName(e);
            applyRebot.setApplyId(updateApplyRebotBO.getApplyId());
            applyRebots.add(applyRebot);
        });
       return this.saveBatch(applyRebots);
    }


}
